﻿using System;
using System.Collections.Generic;
using System.Drawing;
using Wisej.Web;


namespace TestMDI
{
    public partial class MDIWindow : Form
    {

        public MDIWindow()
        {
            InitializeComponent();

            FillToolBar();
            FillChildrenWindows();
        }


        private void FillToolBar()
        {
            ToolBarButton tb;

            tb = new ToolBarButton();
            tb.Style = ToolBarButtonStyle.PushButton;
            tb.Text = "File";
            tbMain.Buttons.Add(tb);

            tb = new ToolBarButton();
            tb.Style = ToolBarButtonStyle.DropDownButton;
            tb.Text = "Edit";
            var dropMenu = new ContextMenu();
            dropMenu.MenuItems.Add(new MenuItem("Excel"));
            dropMenu.MenuItems.Add(new MenuItem("Word"));
            dropMenu.MenuItems.Add(new MenuItem("PowerPoint"));
            tb.DropDownMenu = dropMenu;
            tbMain.Buttons.Add(tb);

        }
        private void FillChildrenWindows()
        {
            Form f = new Form();
            f.MdiParent = this;
            //f.WindowState = FormWindowState.Normal;
            f.Show();

            f = new Form();
            f.MaximizeBox = true;
            f.MinimizeBox = true;
            f.ControlBox = true;
            f.MdiParent = this;
            //f.WindowState = FormWindowState.Normal;
            f.Show();

            f = new Form();
            f.MdiParent = this;
            f.Text = "New Form";
            var b = new Button();
            b.Text = "Close EmptyWindow";
            f.Controls.Add(b);
            //f.WindowState = FormWindowState.Normal;
            f.Show();

        }
    }
}
